> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentcallwhilemovingevent.md).

# SENTCallWhileMovingEvent

{% hint style="warning" %}
This type was deprecated in v6.20.0 in favor of [CallEvent](/important-topics/sdk/api-reference/ios/driving-insights/callevent.md).
{% endhint %}

```objectivec
SWIFT_CLASS_NAMED("CallWhileMovingEvent")
@interface SENTCallWhileMovingEvent : SENTDrivingEvent
```

## SENTCallWhileMovingEvent API

### `startDate`

> The start date of the event.
>
> ```objectivec
> @property (nonatomic, readonly, strong) SENTDate * _Nonnull startDate;
> ```

### `endDate`

> The end date of the event.
>
> ```objectivec
> @property (nonatomic, readonly, strong) SENTDate * _Nonnull endDate;
> ```

### `minTraveledSpeedInMps`

> The minimum speed traveled during the call, in meters per second.
>
> ```objectivec
> @property (nonatomic, readonly, strong) NSNumber * _Nullable minTraveledSpeedInMps;
> ```

### `maxTraveledSpeedInMps`

> The maximum speed traveled during the call, in meters per second.
>
> ```objectivec
> @property (nonatomic, readonly, strong) NSNumber * _Nullable maxTraveledSpeedInMps;
> ```

### `waypoints`

> Transport waypoints that indicate the segment of the transport where the event occurred.
>
> ```objectivec
> @property (nonatomic, readonly, strong) NSArray<SENTWaypoint *> * waypoints;
> ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentcallwhilemovingevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
